summaryrefslogtreecommitdiff
path: root/nonsystemd
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2021-07-02 18:13:26 -0400
committerDavid P <megver83@parabola.nu>2021-07-02 18:13:26 -0400
commit497dc6e9cd7e3ace1f7740f7ac8fa274e88f16d2 (patch)
tree19034182300eb3a9d192b60cbb1a7d671c6d3602 /nonsystemd
parent23e56a806d94541abc1237d5ed5a85e1b59dfddc (diff)
downloadabslibre-497dc6e9cd7e3ace1f7740f7ac8fa274e88f16d2.tar.gz
abslibre-497dc6e9cd7e3ace1f7740f7ac8fa274e88f16d2.tar.bz2
abslibre-497dc6e9cd7e3ace1f7740f7ac8fa274e88f16d2.zip
nonsystemd: remove opensysusers and opentmpfiles
succeded by esysusers and etmpfiles Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'nonsystemd')
-rw-r--r--nonsystemd/opensysusers/20-opensysusers.hook11
-rw-r--r--nonsystemd/opensysusers/PKGBUILD58
-rw-r--r--nonsystemd/opensysusers/sysusers-hook14
-rw-r--r--nonsystemd/opentmpfiles/30-opentmpfiles.hook11
-rw-r--r--nonsystemd/opentmpfiles/PKGBUILD64
-rw-r--r--nonsystemd/opentmpfiles/chattr-ignore-nocow.patch19
-rw-r--r--nonsystemd/opentmpfiles/tmpfiles-hook14
7 files changed, 0 insertions, 191 deletions
diff --git a/nonsystemd/opensysusers/20-opensysusers.hook b/nonsystemd/opensysusers/20-opensysusers.hook
deleted file mode 100644
index f4e0839a5..000000000
--- a/nonsystemd/opensysusers/20-opensysusers.hook
+++ /dev/null
@@ -1,11 +0,0 @@
-[Trigger]
-Type = File
-Operation = Install
-Operation = Upgrade
-Target = usr/lib/sysusers.d/*.conf
-
-[Action]
-Description = Creating system user accounts...
-When = PostTransaction
-Exec = /usr/share/libalpm/scripts/sysusers-hook sysusers
-NeedsTargets
diff --git a/nonsystemd/opensysusers/PKGBUILD b/nonsystemd/opensysusers/PKGBUILD
deleted file mode 100644
index 9f3004114..000000000
--- a/nonsystemd/opensysusers/PKGBUILD
+++ /dev/null
@@ -1,58 +0,0 @@
-# Maintainer David P. <megver83@parabola.nu>
-# Contributor: Omar Vega Ramos <ovruni@gnu.org.pe>
-# Contributor: Luke Shumaker <lukeshu@parabola.nu>
-# Maintainer (Artix): Chris Cromer <cromer@artixlinux.org>
-# Maintainer (Artix): artoo <artoo@artixlinux.org>
-
-pkgbase=opensysusers
-pkgname=(opensysusers opensysusers-docs)
-pkgver=0.5.1
-pkgrel=2
-pkgdesc="A standalone utility for handling systemd-style sysusers.d users and groups"
-arch=('any')
-url="https://gitea.artixlinux.org/artix/opensysusers"
-license=('BSD2')
-makedepends=('docbook-xsl')
-conflicts=('systemd-tools')
-source=("${pkgbase}-${pkgver}.tar.gz::https://gitea.artixlinux.org/artix/opensysusers/archive/${pkgver}.tar.gz"
- '20-opensysusers.hook'
- 'sysusers-hook')
-sha256sums=('e941ad0f8cb8b576d434c2880ef9374ba44f28a05a9325a55f09aab0974e3de3'
- '8085d3f8e7b2030cef5e0f50622121ea161a2d9d087664f0a11d36f275b24970'
- '4222b2496d8bb1ac9c07707e4ef1b334b8b59eb15451ea8ba0fd6e4c93e50c56')
-
-prepare(){
- cd "${pkgbase}"
-}
-
-build(){
- cd "${pkgbase}"
- make PREFIX=/usr HAVEOPENRC=yes
-}
-
-package_opensysusers() {
- depends=('pacman')
- replaces=('opensysusers-systemdcompat')
-
- cd "${pkgbase}"
- make PREFIX=/usr DESTDIR="${pkgdir}" install-shared install-default-bin install-openrc
-
- # pacman hooks
- install -Dm755 ${srcdir}/sysusers-hook "$pkgdir"/usr/share/libalpm/scripts/sysusers-hook
- install -Dm644 -t "$pkgdir"/usr/share/libalpm/hooks ${srcdir}/*.hook
-
- ln -snf "/usr/bin/sysusers" "${pkgdir}/usr/bin/systemd-sysusers"
-
- install -d "${pkgdir}"/etc/runlevels/boot
- ln -snf /etc/init.d/opensysusers "${pkgdir}"/etc/runlevels/boot/opensysusers
-}
-
-package_opensysusers-docs(){
- pkgdesc="Opensysusers man"
- depends=('opensysusers')
- replaces=(opensysusers-manpages)
-
- cd "${pkgbase}"
- make PREFIX=/usr DESTDIR="${pkgdir}" install-man
-}
-
diff --git a/nonsystemd/opensysusers/sysusers-hook b/nonsystemd/opensysusers/sysusers-hook
deleted file mode 100644
index 03fec32dc..000000000
--- a/nonsystemd/opensysusers/sysusers-hook
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/sh -e
-
-each_conf() {
- while read -r f; do
- "$@" "$(basename "$f")"
- done
-}
-
-case $1 in
- sysusers) each_conf /usr/bin/systemd-sysusers ;;
- *) echo >&2 " Invalid operation '$1'"; exit 1 ;;
-esac
-
-exit 0
diff --git a/nonsystemd/opentmpfiles/30-opentmpfiles.hook b/nonsystemd/opentmpfiles/30-opentmpfiles.hook
deleted file mode 100644
index ac173048a..000000000
--- a/nonsystemd/opentmpfiles/30-opentmpfiles.hook
+++ /dev/null
@@ -1,11 +0,0 @@
-[Trigger]
-Type = File
-Operation = Install
-Operation = Upgrade
-Target = usr/lib/tmpfiles.d/*.conf
-
-[Action]
-Description = Creating temporary files...
-When = PostTransaction
-Exec = /usr/share/libalpm/scripts/tmpfiles-hook tmpfiles
-NeedsTargets
diff --git a/nonsystemd/opentmpfiles/PKGBUILD b/nonsystemd/opentmpfiles/PKGBUILD
deleted file mode 100644
index c4d007f7b..000000000
--- a/nonsystemd/opentmpfiles/PKGBUILD
+++ /dev/null
@@ -1,64 +0,0 @@
-# Maintainer: David P. <megver83@parabola.nu>
-# Contributor: Luke Shumaker <lukeshu@parabola.nu>
-# Contributor: artoo <artoo@artixlinux.org>
-
-
-# NOTE: this was originally based on the artix PKGBUILD (<= v0.2)
-# artix as since dropped this software in favor of 'etmpfiles' from eudev
-# https://gitea.artixlinux.org/artixlinux/packages/commit/e8314e156545bfaab6455f8200a253932dc0049c
-
-
-pkgname=opentmpfiles
-pkgver=0.3.1
-pkgrel=1
-pkgdesc="standalone utility for handling systemd-style tmpfiles.d settings"
-arch=('any')
-url="https://github.com/OpenRC/opentmpfiles"
-license=('BSD2')
-source=("${pkgname}-${pkgver}.tar.gz::https://github.com/OpenRC/${pkgname}/archive/${pkgver}.tar.gz"
- '30-opentmpfiles.hook'
- 'tmpfiles-hook'
- 'chattr-ignore-nocow.patch')
-sha256sums=('47d651ccda53a204463285044a9d34b1bd54d927509dac43994a9d6341be084a'
- '23c73b3cc20ec38e0a5166f254293c911d20ae3efec8e133f424c1a1d0703fb8'
- 'adbee03530006e8284ea44c5dd7eb99f6cc6c4e383c09fec36d7a22f7d486fc5'
- 'cc551d44fb9026fe00205751a149b564db09c6bf0455a741ddd171d0a85f5b62')
-
-
-prepare()
-{
- cd "${pkgbase}-${pkgver}"
-
- # https://github.com/OpenRC/opentmpfiles/issues/2
- patch -Np1 < ${srcdir}/chattr-ignore-nocow.patch
-}
-
-package()
-{
- replaces=('opentmpfiles-systemdcompat')
- conflicts=('opentmpfiles-systemdcompat' 'systemd-tools')
-
- cd "${pkgbase}-${pkgver}"
-
- make bindir="/usr/bin" DESTDIR="${pkgdir}" install
-
- # pacman hooks
- install -Dm755 ${srcdir}/tmpfiles-hook "$pkgdir"/usr/share/libalpm/scripts/tmpfiles-hook
- install -Dm644 -t "$pkgdir"/usr/share/libalpm/hooks ${srcdir}/*.hook
-
- ln -snf "/usr/bin/tmpfiles" "${pkgdir}/usr/bin/systemd-tmpfiles"
-
- install -d "${pkgdir}"/etc/{conf,init}.d "${pkgdir}"/etc/runlevels/{boot,sysinit}
-
- install -m755 openrc/opentmpfiles-dev.confd "${pkgdir}"/etc/conf.d/opentmpfiles-dev
- install -m755 openrc/opentmpfiles-dev.initd "${pkgdir}"/etc/init.d/opentmpfiles-dev
-
- install -m755 openrc/opentmpfiles-setup.confd "${pkgdir}"/etc/conf.d/opentmpfiles-setup
- install -m755 openrc/opentmpfiles-setup.initd "${pkgdir}"/etc/init.d/opentmpfiles-setup
-
- ln -snf /etc/init.d/opentmpfiles-dev "${pkgdir}"/etc/runlevels/sysinit/opentmpfiles-dev
- ln -snf /etc/init.d/opentmpfiles-setup "${pkgdir}"/etc/runlevels/boot/opentmpfiles-setup
-
- install -dm755 "${pkgdir}/usr/share/licenses/${pkgname}"
- install -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/"
-}
diff --git a/nonsystemd/opentmpfiles/chattr-ignore-nocow.patch b/nonsystemd/opentmpfiles/chattr-ignore-nocow.patch
deleted file mode 100644
index 3233d1c20..000000000
--- a/nonsystemd/opentmpfiles/chattr-ignore-nocow.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-diff a/tmpfiles.sh b/tmpfiles.sh
---- a/tmpfiles.sh
-+++ b/tmpfiles.sh
-@@ -54,6 +54,15 @@ _chattr() {
- '') return ;;
- *) attr="+$attr" ;;
- esac
-+
-+ # ignore attempts to set unsupported attributes
-+ local fs_type
-+ case $attr in
-+ [+-=]C) fs_type="$(df --output=fstype "$3" | tail --lines=1)"
-+ test "$fs_type" = 'btrfs' || return 0
-+ ;;
-+ esac
-+
- local IFS=
- dryrun_or_real chattr "$1" "$attr" -- "$3"
- }
diff --git a/nonsystemd/opentmpfiles/tmpfiles-hook b/nonsystemd/opentmpfiles/tmpfiles-hook
deleted file mode 100644
index 786616b89..000000000
--- a/nonsystemd/opentmpfiles/tmpfiles-hook
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/sh -e
-
-each_conf() {
- while read -r f; do
- "$@" "$(basename "$f")"
- done
-}
-
-case $1 in
- tmpfiles) each_conf /usr/bin/tmpfiles --create ;;
- *) echo >&2 " Invalid operation '$1'"; exit 1 ;;
-esac
-
-exit 0